import 'package:json_annotation/json_annotation.dart';

part 'zodiac_love_intimacy_list.g.dart';

/// 星座恋爱分析-星座列表
@JsonSerializable()
class ZodiacLoveIntimacyList {
  @JsonKey(name: "title")
  String? title;

  @JsonKey(name: "content")
  String? content;

  @JsonKey(name: "iconUrl")
  String? iconUrl;

  ZodiacLoveIntimacyList(this.title, this.content, this.iconUrl);

  factory ZodiacLoveIntimacyList.fromJson(Map<String, dynamic> json) =>
      _$ZodiacLoveIntimacyListFromJson(json);
}
